variables_hash_max_size 2048;
variables_hash_bucket_size 128;
underscores_in_headers on;
client_max_body_size 10m;
client_body_buffer_size 5m;
server_names_hash_max_size 16048;
server_names_hash_bucket_size 128;
large_client_header_buffers 4 8k;
tcp_nopush on;
tcp_nodelay on;
